#!/bin/bash
#
# IceWarp Server migrator startup script
# Copyright (c) 2014-2015 IceWarp Ltd. All rights reserved.
#
# http://www.icewarp.com 
#

USE_COLORS="0"

# init

SELF=$0
WORKDIR=$(dirname $0)

if  [ "$TERM" = "linux" ] || [ "$TERM" = "xterm" ] || [ "$TERM" = "xterm-color" ] || [ "$TERM" = "screen" ] && [ "$USE_COLORS" = "1" ]; then
    GOOD=$'\e[32;01m'
    WARN=$'\e[33;01m'
    BAD=$'\e[31;01m'
    NORMAL=$'\e[0m'
    HILITE=$'\e[37;01m'
    BRACKET=$'\e[34;01m'
else
    GOOD=$'\e[0;32m'
    BAD=$'\e[0;31m'
    NORMAL=$'\e[0m'
    WARN=$'\e[0;33m'
    HILITE=${NORMAL}
    BRACKET=${NORMAL}
fi

good()
{
    echo -e "${GOOD}**${NORMAL}\t$*"
}

bad()
{
    echo -e "${BAD}**${NORMAL}\tError: $*"
}

warn()
{
    echo -e "${WARN}**${NORMAL}\tWarning: $*"
}

hilite()
{
    echo -e "${GOOD}**${HILITE}\t$*${NORMAL}"
}

# Check icewarp is installed
if ! [ -f /etc/icewarp/icewarp.conf ]; then
    bad "IceWarp Server installation was not found. Cannot work without IceWarp server."
    exit 2
fi

source /etc/icewarp/icewarp.conf

export IWS_INSTALL_DIR
export IWS_PROCESS_USER
export LD_LIBRARY_PATH="${IWS_INSTALL_DIR}"/lib64:"${IWS_INSTALL_DIR}"/lib:${LD_LIBRARY_PATH}
"${WORKDIR}"/icewarpmigrator $@

exit 0
